---
title: GlobalEventHandlers.oncuechange
slug: Web/API/GlobalEventHandlers/oncuechange
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - Property
  - Reference
  - TextTrack
  - WebVTT
  - text track
  - track
  - vtt
---
<div>{{ ApiRef("HTML DOM") }}</div>

<p>The <strong><code>oncuechange</code></strong> property of the {{domxref("GlobalEventHandlers")}} mixin is the {{domxref("EventHandler")}} for processing {{event("cuechange")}} events.</p>

<p>The <code>cuechange</code> event fires when a {{domxref("TextTrack")}} has changed the currently displaying cues. The event is sent to both the <code>TextTrack</code> and to the {{HTMLElement("track")}} element the track is being presented by, if any; in the latter case, its handler is on an {{domxref("HTMLTrackElement")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em><var>element</var></em>.oncuechange = <em>handlerFunction</em>;
var <em>handlerFunction</em> = <em><var>element</var></em>.oncuechange;
</pre>

<p><code>handlerFunction</code> is either <code>null</code> or a <a href="/en-US/docs/Web/JavaScript/Reference/Functions" title="/en-US/docs/JavaScript/Reference/Functions_and_function_scope">JavaScript function</a> specifying the handler for the event.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#handler-oncuechange','oncuechange')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.oncuechange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVTT_API">Web Video Tracks Format (VTT)</a></li>
 <li>{{event("cuechange")}}</li>
 <li>{{HTMLElement("track")}}</li>
 <li><a href="/en-US/docs/Web/Guide/Events/Event_handlers" title="/en-US/docs/Web/Guide/DOM/Events/Event_handlers">DOM event handlers</a></li>
</ul>
